Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi
Class OrdinalParameterDescriptor

    java.lang.Object
      org.hibernate.engine.query.spi.OrdinalParameterDescriptor

All Implemented Interfaces:
  Serializable

    public class OrdinalParameterDescriptor

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`OrdinalParameterDescriptor(int ordinalPosition, Type expectedType, int sourceLocation)`

Method Summary
`Type` | `getExpectedType()`
`int` | `getOrdinalPosition()`
`int` | `getSourceLocation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdinalParameterDescriptor

    public OrdinalParameterDescriptor(int ordinalPosition,
                                      Type expectedType,
                                      int sourceLocation)

Method Detail

### getOrdinalPosition

    public int getOrdinalPosition()

### getExpectedType

    public Type getExpectedType()

### getSourceLocation

    public int getSourceLocation()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.